/* Stop animations during resize */

.animation-stopper * {
	animation: none !important;
	transition: none !important;
}


/* Don't display iOS search field magnifying glass */

input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-decoration,
input[type=search]::-webkit-search-results-button,
input[type=search]::-webkit-search-results-decoration {
	-webkit-appearance: none;
}

input[type=search] {
	-webkit-appearance: textfield;
	-webkit-box-sizing: content-box;
}

/* Header Height Custom Var to be updated with js */
:root {
	--header-height: 0px;
}

/* Row Gaps - Mainly for row block when it wraps */
.row-gap-0 {
	gap: 0;
}

.row-gap-5 {
	gap: var(--wp--preset--spacing--5) !important;
}

.row-gap-10 {
	gap: var(--wp--preset--spacing--10) !important;
}

.row-gap-15 {
	gap: var(--wp--preset--spacing--15) !important;
}

.row-gap-20 {
	gap: var(--wp--preset--spacing--20) !important;
}

.row-gap-30 {
	gap: var(--wp--preset--spacing--30) !important;
}

.row-gap-40 {
	gap: var(--wp--preset--spacing--40) !important;
}

.row-gap-50 {
	gap: var(--wp--preset--spacing--50) !important;
}

.row-gap-60 {
	gap: var(--wp--preset--spacing--60) !important;
}

.row-gap-80 {
	gap: var(--wp--preset--spacing--80) !important;
}

.row-gap-90 {
	gap: var(--wp--preset--spacing--90) !important;
}

.row-gap-100 {
	gap: var(--wp--preset--spacing--100) !important;
}


/* Responsive Classes - Gutenberg Column Breaking Point */

@media (min-width: 1126px) {
	.mobile-only {
		display: none !important;
	}

	.mobile-only:first-child+* {
		margin-top: 0 !important;
	}
}

@media (max-width: 1125px) {
	.desktop-only {
		display: none !important;
	}

	.desktop-only:first-child+* {
		margin-top: 0 !important;
	}

}

@media (max-width: 781px) {
	.mobile-order-1 {
		order: 1;
	}

	.mobile-order-2 {
		order: 2;
	}

	.mobile-order-3 {
		order: 3;
	}

	.mobile-order-4 {
		order: 4;
	}

	.mobile-hide {
		display: none !important;
	}
}

/* Mobile Font Sizes */

@media (max-width: 781px) {
	.mobile-font-size-normal {
		font-size: var(--wp--preset--font-size--normal) !important;
	}

	.mobile-font-size-h-5 {
		font-size: var(--wp--preset--font-size--h-5) !important;
	}
}


/* Responsive Classes - Mobile Menu Breaking Point */

@media (min-width: 1126px) {
	.mobile-menu-only {
		display: none !important;
	}
}

@media (max-width: 1125px) {
	.desktop-menu-only {
		display: none !important;
	}
}


/* Paddings and Margins */

@media (max-width: 781px) {
	.mobile-padding-top-0 {
		padding-top: 0 !important;
	}

	.mobile-margin-top-0 {
		margin-top: 0 !important;
	}

	.mobile-padding-right-0 {
		padding-right: 0 !important;
	}

	.mobile-margin-right-0 {
		margin-right: 0 !important;
	}

	.mobile-position-right-0 {
		position: relative !important;
		right: 0 !important;
	}

	.mobile-padding-bottom-0 {
		padding-bottom: 0 !important;
	}

	.mobile-margin-bottom-0 {
		margin-bottom: 0 !important;
	}

	.mobile-position-bottom-0 {
		position: relative !important;
		bottom: 0 !important;
	}

	.mobile-padding-left-0 {
		padding-left: 0 !important;
	}

	.mobile-margin-left-0 {
		margin-left: 0 !important;
	}

	.mobile-position-left-0 {
		position: relative !important;
		left: 0 !important;
	}

	[class*='mobile-gap-0'] {
		gap: var(--spacing-0) !important;
	}

	.mobile-buttons-gap-0 {
		--buttons-gap: 0 !important;
	}

	.mobile-padding-top-5 {
		padding-top: var(--wp--preset--spacing--5) !important;
	}

	.mobile-margin-top-5 {
		margin-top: var(--wp--preset--spacing--5) !important;
	}

	.mobile-position-top-5 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--5)) !important;
	}

	.mobile-padding-right-5 {
		padding-right: var(--wp--preset--spacing--5) !important;
	}

	.mobile-margin-right-5 {
		margin-right: var(--wp--preset--spacing--5) !important;
	}

	.mobile-position-right-5 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--5)) !important;
	}

	.mobile-padding-bottom-5 {
		padding-bottom: var(--wp--preset--spacing--5) !important;
	}

	.mobile-margin-bottom-5 {
		margin-bottom: var(--wp--preset--spacing--5) !important;
	}

	.mobile-position-bottom-5 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--5)) !important;
	}

	.mobile-padding-left-5 {
		padding-left: var(--wp--preset--spacing--5) !important;
	}

	.mobile-margin-left-5 {
		margin-left: var(--wp--preset--spacing--5) !important;
	}

	.mobile-position-left-5 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--5)) !important;
	}

	[class*='mobile-gap-5'] {
		gap: var(--wp--preset--spacing--5) !important;
	}

	.mobile-buttons-gap-5 {
		--buttons-gap: 5 !important;
	}

	.mobile-padding-top-10 {
		padding-top: var(--wp--preset--spacing--10) !important;
	}

	.mobile-margin-top-10 {
		margin-top: var(--wp--preset--spacing--10) !important;
	}

	.mobile-position-top-10 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--10)) !important;
	}

	.mobile-padding-right-10 {
		padding-right: var(--wp--preset--spacing--10) !important;
	}

	.mobile-margin-right-10 {
		margin-right: var(--wp--preset--spacing--10) !important;
	}

	.mobile-position-right-10 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--10)) !important;
	}

	.mobile-padding-bottom-10 {
		padding-bottom: var(--wp--preset--spacing--10) !important;
	}

	.mobile-margin-bottom-10 {
		margin-bottom: var(--wp--preset--spacing--10) !important;
	}

	.mobile-position-bottom-10 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--10)) !important;
	}

	.mobile-padding-left-10 {
		padding-left: var(--wp--preset--spacing--10) !important;
	}

	.mobile-margin-left-10 {
		margin-left: var(--wp--preset--spacing--10) !important;
	}

	.mobile-position-left-10 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--10)) !important;
	}

	[class*='mobile-gap-10'] {
		gap: var(--wp--preset--spacing--10) !important;
	}

	.mobile-buttons-gap-10 {
		--buttons-gap: 10 !important;
	}

	.mobile-padding-top-15 {
		padding-top: var(--wp--preset--spacing--15) !important;
	}

	.mobile-margin-top-15 {
		margin-top: var(--wp--preset--spacing--15) !important;
	}

	.mobile-position-top-15 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--15)) !important;
	}

	.mobile-padding-right-15 {
		padding-right: var(--wp--preset--spacing--15) !important;
	}

	.mobile-margin-right-15 {
		margin-right: var(--wp--preset--spacing--15) !important;
	}

	.mobile-position-right-15 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--15)) !important;
	}

	.mobile-padding-bottom-15 {
		padding-bottom: var(--wp--preset--spacing--15) !important;
	}

	.mobile-margin-bottom-15 {
		margin-bottom: var(--wp--preset--spacing--15) !important;
	}

	.mobile-position-bottom-15 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--15)) !important;
	}

	.mobile-padding-left-15 {
		padding-left: var(--wp--preset--spacing--15) !important;
	}

	.mobile-margin-left-15 {
		margin-left: var(--wp--preset--spacing--15) !important;
	}

	.mobile-position-left-15 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--15)) !important;
	}

	[class*='mobile-gap-15'] {
		gap: var(--wp--preset--spacing--15) !important;
	}

	.mobile-buttons-gap-15 {
		--buttons-gap: 15 !important;
	}

	.mobile-padding-top-20 {
		padding-top: var(--wp--preset--spacing--20) !important;
	}

	.mobile-margin-top-20 {
		margin-top: var(--wp--preset--spacing--20) !important;
	}

	.mobile-position-top-20 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--20)) !important;
	}

	.mobile-padding-right-20 {
		padding-right: var(--wp--preset--spacing--20) !important;
	}

	.mobile-margin-right-20 {
		margin-right: var(--wp--preset--spacing--20) !important;
	}

	.mobile-position-right-20 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--20)) !important;
	}

	.mobile-padding-bottom-20 {
		padding-bottom: var(--wp--preset--spacing--20) !important;
	}

	.mobile-margin-bottom-20 {
		margin-bottom: var(--wp--preset--spacing--20) !important;
	}

	.mobile-position-bottom-20 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--20)) !important;
	}

	.mobile-padding-left-20 {
		padding-left: var(--wp--preset--spacing--20) !important;
	}

	.mobile-margin-left-20 {
		margin-left: var(--wp--preset--spacing--20) !important;
	}

	.mobile-position-left-20 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--20)) !important;
	}

	[class*='mobile-gap-20'] {
		gap: var(--wp--preset--spacing--20) !important;
	}

	.mobile-buttons-gap-20 {
		--buttons-gap: 20 !important;
	}

	.mobile-padding-top-30 {
		padding-top: var(--wp--preset--spacing--30) !important;
	}

	.mobile-margin-top-30 {
		margin-top: var(--wp--preset--spacing--30) !important;
	}

	.mobile-position-top-30 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--30)) !important;
	}

	.mobile-padding-right-30 {
		padding-right: var(--wp--preset--spacing--30) !important;
	}

	.mobile-margin-right-30 {
		margin-right: var(--wp--preset--spacing--30) !important;
	}

	.mobile-position-right-30 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--30)) !important;
	}

	.mobile-padding-bottom-30 {
		padding-bottom: var(--wp--preset--spacing--30) !important;
	}

	.mobile-margin-bottom-30 {
		margin-bottom: var(--wp--preset--spacing--30) !important;
	}

	.mobile-position-bottom-30 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--30)) !important;
	}

	.mobile-padding-left-30 {
		padding-left: var(--wp--preset--spacing--30) !important;
	}

	.mobile-margin-left-30 {
		margin-left: var(--wp--preset--spacing--30) !important;
	}

	.mobile-position-left-30 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--30)) !important;
	}

	[class*='mobile-gap-30'] {
		gap: var(--wp--preset--spacing--30) !important;
	}

	.mobile-buttons-gap-30 {
		--buttons-gap: 30 !important;
	}

	.mobile-padding-top-40 {
		padding-top: var(--wp--preset--spacing--40) !important;
	}

	.mobile-margin-top-40 {
		margin-top: var(--wp--preset--spacing--40) !important;
	}

	.mobile-position-top-40 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--40)) !important;
	}

	.mobile-padding-right-40 {
		padding-right: var(--wp--preset--spacing--40) !important;
	}

	.mobile-margin-right-40 {
		margin-right: var(--wp--preset--spacing--40) !important;
	}

	.mobile-position-right-40 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--40)) !important;
	}

	.mobile-padding-bottom-40 {
		padding-bottom: var(--wp--preset--spacing--40) !important;
	}

	.mobile-margin-bottom-40 {
		margin-bottom: var(--wp--preset--spacing--40) !important;
	}

	.mobile-position-bottom-40 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--40)) !important;
	}

	.mobile-padding-left-40 {
		padding-left: var(--wp--preset--spacing--40) !important;
	}

	.mobile-margin-left-40 {
		margin-left: var(--wp--preset--spacing--40) !important;
	}

	.mobile-position-left-40 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--40)) !important;
	}

	[class*='mobile-gap-40'] {
		gap: var(--wp--preset--spacing--40) !important;
	}

	.mobile-buttons-gap-40 {
		--buttons-gap: 40 !important;
	}

	.mobile-padding-top-50 {
		padding-top: var(--wp--preset--spacing--50) !important;
	}

	.mobile-margin-top-50 {
		margin-top: var(--wp--preset--spacing--50) !important;
	}

	.mobile-position-top-50 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--50)) !important;
	}

	.mobile-padding-right-50 {
		padding-right: var(--wp--preset--spacing--50) !important;
	}

	.mobile-margin-right-50 {
		margin-right: var(--wp--preset--spacing--50) !important;
	}

	.mobile-position-right-50 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--50)) !important;
	}

	.mobile-padding-bottom-50 {
		padding-bottom: var(--wp--preset--spacing--50) !important;
	}

	.mobile-margin-bottom-50 {
		margin-bottom: var(--wp--preset--spacing--50) !important;
	}

	.mobile-position-bottom-50 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--50)) !important;
	}

	.mobile-padding-left-50 {
		padding-left: var(--wp--preset--spacing--50) !important;
	}

	.mobile-margin-left-50 {
		margin-left: var(--wp--preset--spacing--50) !important;
	}

	.mobile-position-left-50 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--50)) !important;
	}

	[class*='mobile-gap-50'] {
		gap: var(--wp--preset--spacing--50) !important;
	}

	.mobile-buttons-gap-50 {
		--buttons-gap: 50 !important;
	}

	.mobile-padding-top-60 {
		padding-top: var(--wp--preset--spacing--60) !important;
	}

	.mobile-margin-top-60 {
		margin-top: var(--wp--preset--spacing--60) !important;
	}

	.mobile-position-top-60 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--60)) !important;
	}

	.mobile-padding-right-60 {
		padding-right: var(--wp--preset--spacing--60) !important;
	}

	.mobile-margin-right-60 {
		margin-right: var(--wp--preset--spacing--60) !important;
	}

	.mobile-position-right-60 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--60)) !important;
	}

	.mobile-padding-bottom-60 {
		padding-bottom: var(--wp--preset--spacing--60) !important;
	}

	.mobile-margin-bottom-60 {
		margin-bottom: var(--wp--preset--spacing--60) !important;
	}

	.mobile-position-bottom-60 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--60)) !important;
	}

	.mobile-padding-left-60 {
		padding-left: var(--wp--preset--spacing--60) !important;
	}

	.mobile-margin-left-60 {
		margin-left: var(--wp--preset--spacing--60) !important;
	}

	.mobile-position-left-60 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--60)) !important;
	}

	[class*='mobile-gap-60'] {
		gap: var(--wp--preset--spacing--60) !important;
	}

	.mobile-buttons-gap-60 {
		--buttons-gap: 60 !important;
	}

	.mobile-padding-top-80 {
		padding-top: var(--wp--preset--spacing--80) !important;
	}

	.mobile-margin-top-80 {
		margin-top: var(--wp--preset--spacing--80) !important;
	}

	.mobile-position-top-80 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--80)) !important;
	}

	.mobile-padding-right-80 {
		padding-right: var(--wp--preset--spacing--80) !important;
	}

	.mobile-margin-right-80 {
		margin-right: var(--wp--preset--spacing--80) !important;
	}

	.mobile-position-right-80 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--80)) !important;
	}

	.mobile-padding-bottom-80 {
		padding-bottom: var(--wp--preset--spacing--80) !important;
	}

	.mobile-margin-bottom-80 {
		margin-bottom: var(--wp--preset--spacing--80) !important;
	}

	.mobile-position-bottom-80 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--80)) !important;
	}

	.mobile-padding-left-80 {
		padding-left: var(--wp--preset--spacing--80) !important;
	}

	.mobile-margin-left-80 {
		margin-left: var(--wp--preset--spacing--80) !important;
	}

	.mobile-position-left-80 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--80)) !important;
	}

	[class*='mobile-gap-80'] {
		gap: var(--wp--preset--spacing--80) !important;
	}

	.mobile-buttons-gap-80 {
		--buttons-gap: 80 !important;
	}

	.mobile-margin-top-90 {
		margin-top: var(--wp--preset--spacing--90) !important;
	}

	.mobile-position-top-90 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--90)) !important;
	}

	.mobile-padding-right-90 {
		padding-right: var(--wp--preset--spacing--90) !important;
	}

	.mobile-margin-right-90 {
		margin-right: var(--wp--preset--spacing--90) !important;
	}

	.mobile-position-right-90 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--90)) !important;
	}

	.mobile-padding-bottom-90 {
		padding-bottom: var(--wp--preset--spacing--90) !important;
	}

	.mobile-margin-bottom-90 {
		margin-bottom: var(--wp--preset--spacing--90) !important;
	}

	.mobile-position-bottom-90 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--90)) !important;
	}

	.mobile-padding-left-90 {
		padding-left: var(--wp--preset--spacing--90) !important;
	}

	.mobile-margin-left-90 {
		margin-left: var(--wp--preset--spacing--90) !important;
	}

	.mobile-position-left-90 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--90)) !important;
	}

	[class*='mobile-gap-90'] {
		gap: var(--wp--preset--spacing--90) !important;
	}

	.mobile-buttons-gap-90 {
		--buttons-gap: 90 !important;
	}

	.mobile-padding-top-100 {
		padding-top: var(--wp--preset--spacing--100) !important;
	}

	.mobile-margin-top-100 {
		margin-top: var(--wp--preset--spacing--100) !important;
	}

	.mobile-position-top-100 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--100)) !important;
	}

	.mobile-padding-right-100 {
		padding-right: var(--wp--preset--spacing--100) !important;
	}

	.mobile-margin-right-100 {
		margin-right: var(--wp--preset--spacing--100) !important;
	}

	.mobile-position-right-100 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--100)) !important;
	}

	.mobile-padding-bottom-100 {
		padding-bottom: var(--wp--preset--spacing--100) !important;
	}

	.mobile-margin-bottom-100 {
		margin-bottom: var(--wp--preset--spacing--100) !important;
	}

	.mobile-position-bottom-100 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--100)) !important;
	}

	.mobile-padding-left-100 {
		padding-left: var(--wp--preset--spacing--100) !important;
	}

	.mobile-margin-left-100 {
		margin-left: var(--wp--preset--spacing--100) !important;
	}

	.mobile-position-left-100 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--100)) !important;
	}

	[class*='mobile-gap-100'] {
		gap: var(--wp--preset--spacing--100) !important;
	}

	.mobile-buttons-gap-100 {
		--buttons-gap: 100 !important;
	}

	.mobile-padding-top-140 {
		padding-top: var(--wp--preset--spacing--140) !important;
	}

	.mobile-margin-top-140 {
		margin-top: var(--wp--preset--spacing--140) !important;
	}

	.mobile-position-top-140 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--140)) !important;
	}

	.mobile-padding-right-140 {
		padding-right: var(--wp--preset--spacing--140) !important;
	}

	.mobile-margin-right-140 {
		margin-right: var(--wp--preset--spacing--140) !important;
	}

	.mobile-position-right-140 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--140)) !important;
	}

	.mobile-padding-bottom-140 {
		padding-bottom: var(--wp--preset--spacing--140) !important;
	}

	.mobile-margin-bottom-140 {
		margin-bottom: var(--wp--preset--spacing--140) !important;
	}

	.mobile-position-bottom-140 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--140)) !important;
	}

	.mobile-padding-left-140 {
		padding-left: var(--wp--preset--spacing--140) !important;
	}

	.mobile-margin-left-140 {
		margin-left: var(--wp--preset--spacing--140) !important;
	}

	.mobile-position-left-140 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--140)) !important;
	}

	[class*='mobile-gap-140'] {
		gap: var(--wp--preset--spacing--140) !important;
	}

	.mobile-buttons-gap-140 {
		--buttons-gap: 140 !important;
	}

	.mobile-padding-top-200 {
		padding-top: var(--wp--preset--spacing--200) !important;
	}

	.mobile-margin-top-200 {
		margin-top: var(--wp--preset--spacing--200) !important;
	}

	.mobile-position-top-200 {
		position: relative !important;
		top: calc(-1 * var(--wp--preset--spacing--200)) !important;
	}

	.mobile-padding-right-200 {
		padding-right: var(--wp--preset--spacing--200) !important;
	}

	.mobile-margin-right-200 {
		margin-right: var(--wp--preset--spacing--200) !important;
	}

	.mobile-position-right-200 {
		position: relative !important;
		right: calc(-1 * var(--wp--preset--spacing--200)) !important;
	}

	.mobile-padding-bottom-200 {
		padding-bottom: var(--wp--preset--spacing--200) !important;
	}

	.mobile-margin-bottom-200 {
		margin-bottom: var(--wp--preset--spacing--200) !important;
	}

	.mobile-position-bottom-200 {
		position: relative !important;
		bottom: calc(-1 * var(--wp--preset--spacing--200)) !important;
	}

	.mobile-padding-left-200 {
		padding-left: var(--wp--preset--spacing--200) !important;
	}

	.mobile-margin-left-200 {
		margin-left: var(--wp--preset--spacing--200) !important;
	}

	.mobile-position-left-200 {
		position: relative !important;
		left: calc(-1 * var(--wp--preset--spacing--200)) !important;
	}

	[class*='mobile-gap-200'] {
		gap: var(--wp--preset--spacing--200) !important;
	}

	.mobile-buttons-gap-200 {
		--buttons-gap: 200 !important;
	}
}

/* Columns (for lists) */
.columns-2 {
	columns: 2;
}

/* Aspect Ratio Helpers */
.aspect-ratio-square {
	aspect-ratio: 1 / 1;
}

/* Max Width Wide Half */
.max-width-wide-half {
	max-width: calc(var(--wp--style--global--wide-size)/2);
}

.max-width-wide-half.left {
	margin-left: auto;
}

.max-width-wide-half.right {
	margin-right: auto;
}

@media (max-width: 781px) {
	.max-width-wide-half {
		margin-left: auto;
		margin-right: auto;
	}
}

/* Max Width Half */
@media (min-width: 782px) {
	.max-width-half {
		max-width: calc(var(--wp--style--global--content-size)/2);
	}

	.max-width-half.left {
		margin-left: auto;
	}

	.max-width-half.right {
		margin-right: auto;
	}
}

/* Justify Helpers */
.justify-content-center {
	justify-content: center;
}

.justify-content-start {
	justify-content: flex-start;
}

.justify-content-end {
	justify-content: flex-end;
}

.flex-basis-auto {
	flex-basis: auto !important;
}

.flex-shrink-0 {
	flex-shrink: 0 !important;
}

/* Font Weight Helpers */
.font-weight-normal,
.font-weight-normal a {
	font-weight: normal !important;
}

.homepage-only {
	display: none;
}

body.home .homepage-only {
	display: block;
}

.height-full {
	height: 100%;
}

@media (max-width: 781px) {

	/* Mobile Text Align Helpers */
	.mobile-text-align-center {
		text-align: center;
	}

	.mobile-text-aling-left {
		text-align: left;
	}

	.mobile-text-align-right {
		text-align: right;
	}

	/* Mobile font sizes */
	.mobile-font-size-tiny {
		font-size: var(--wp--preset--font-size--tiny) !important;
	}

	.mobile-font-size-small {
		font-size: var(--wp--preset--font-size--small) !important;
	}

	.mobile-font-size-medium {
		font-size: var(--wp--preset--font-size--medium) !important;
	}

	.mobile-font-size-normal {
		font-size: var(--wp--preset--font-size--normal) !important;
	}

	.mobile-font-size-intro-small {
		font-size: var(--wp--preset--font-size--intro-small) !important;
	}

	.mobile-font-size-intro {
		font-size: var(--wp--preset--font-size--intro) !important;
	}

	.mobile-font-size-h1 {
		font-size: var(--wp--preset--font-size--h1) !important;
	}

	.mobile-font-size-h2 {
		font-size: var(--wp--preset--font-size--h2) !important;
		;
	}

	.mobile-font-size-h3 {
		font-size: var(--wp--preset--font-size--h3) !important;
	}

	.mobile-font-size-h4 {
		font-size: var(--wp--preset--font-size--h4) !important;
	}

	.mobile-font-size-h5 {
		font-size: var(--wp--preset--font-size--h5) !important;
	}

	.mobile-font-size-h6 {
		font-size: var(--wp--preset--font-size--h6) !important;
	}

	.mobile-font-size-large {
		font-size: var(--wp--preset--font-size--large) !important;
	}

	/* Mobile max width and height using --wp--preset--spacing values */
	.mobile-height-auto {
		height: auto !important
	}

	.mobile-max-width-0 {
		max-width: 0 !important;
	}

	.mobile-max-width-5 {
		max-width: var(--wp--preset--spacing--5) !important;
	}

	.mobile-max-width-10 {
		max-width: var(--wp--preset--spacing--10) !important;
	}

	.mobile-max-width-15 {
		max-width: var(--wp--preset--spacing--15) !important;
	}

	.mobile-max-width-20 {
		max-width: var(--wp--preset--spacing--20) !important;
	}

	.mobile-max-width-30 {
		max-width: var(--wp--preset--spacing--30) !important;
	}

	.mobile-max-width-40 {
		max-width: var(--wp--preset--spacing--40) !important;
	}

	.mobile-max-width-50 {
		max-width: var(--wp--preset--spacing--50) !important;
	}

	.mobile-max-width-60 {
		max-width: var(--wp--preset--spacing--60) !important;
	}

	.mobile-max-width-80 {
		max-width: var(--wp--preset--spacing--80) !important;
	}

	.mobile-max-width-90 {
		max-width: var(--wp--preset--spacing--90) !important;
	}

	.mobile-max-width-100 {
		max-width: var(--wp--preset--spacing--100) !important;
	}

	.mobile-max-width-140 {
		max-width: var(--wp--preset--spacing--140) !important;
	}

	.mobile-max-width-200 {
		max-width: var(--wp--preset--spacing--200) !important;
	}

	.mobile-max-width-240 {
		max-width: var(--wp--preset--spacing--240) !important;
	}

	.mobile-width-auto {
		width: auto !important;
	}

	.mobile-width-100,
	figure.mobile-width-100 img,
	.wp-block-button.mobile-width-100 .wp-block-button__link {
		width: 100% !important;
	}

	.wp-block-button.mobile-width-100 .wp-block-button__link {
		justify-content: center !important;
	}


	.mobile-max-height-0 {
		max-height: 0 !important;
	}

	.mobile-max-height-5 {
		max-height: var(--wp--preset--spacing--5) !important;
	}

	.mobile-max-height-10 {
		max-height: var(--wp--preset--spacing--10) !important;
	}

	.mobile-max-height-15 {
		max-height: var(--wp--preset--spacing--15) !important;
	}

	.mobile-max-height-20 {
		max-height: var(--wp--preset--spacing--20) !important;
	}

	.mobile-max-height-30 {
		max-height: var(--wp--preset--spacing--30) !important;
	}

	.mobile-max-height-40 {
		max-height: var(--wp--preset--spacing--40) !important;
	}

	.mobile-max-height-50 {
		max-height: var(--wp--preset--spacing--50) !important;
	}

	.mobile-max-height-60 {
		max-height: var(--wp--preset--spacing--60) !important;
	}

	.mobile-max-height-80 {
		max-height: var(--wp--preset--spacing--80) !important;
	}

	.mobile-max-height-90 {
		max-height: var(--wp--preset--spacing--90) !important;
	}

	.mobile-max-height-100 {
		max-height: var(--wp--preset--spacing--100) !important;
	}

	.mobile-max-height-140 {
		max-height: var(--wp--preset--spacing--140) !important;
	}

	.mobile-max-height-200 {
		max-height: var(--wp--preset--spacing--200) !important;
	}

	.mobile-max-height-240 {
		max-height: var(--wp--preset--spacing--240) !important;
	}

	/* Add rule for image block to set img to 100% height and width of figure if it has class containing mobile-max-width* or mobile-max-height* */
	figure[class*="mobile-max-width-"] img,
	figure[class*="mobile-max-height-"] img {
		width: 100% !important;
		height: 100% !important;
		object-fit: cover !important;
		aspect-ratio: auto !important;
	}

	/* Mobile Justification Helpers */
	.mobile-justify-content-center {
		justify-content: center !important;
	}

	.mobile-justify-content-flex-start {
		justify-content: flex-start !important;
	}

	.mobile-justify-content-flex-end {
		justify-content: flex-end !important;
	}


}

/* Add no-bold class (mainly for paragraphs with links */
.no-bold,
.no-bold>a {
	font-weight: normal !important;
}

/* Zindex helpers */
.z-index-minus-1 {
	position: relative;
	z-index: -1;
}

.z-index-1 {
	position: relative;
	z-index: 1;
}

.z-index-2 {
	position: relative;
	z-index: 2;
}

/* Text Wrap */
.white-space-nowrap {
	white-space: nowrap;
}

/* Empty image src */
.wp-block-image img[src=""] {
	display: none;
}

.width-100,
figure.width-100 img {
	width: 100% !important;
}